haskore-0.2.0.3: The Haskore Computer Music System

Safe Haskell | None

Haskore.Example.SelfSim

# Documentation

data Cluster Source

Constructors

Cl SNote [Cluster] |

type Pat = [SNote]Source

type SNote = [(Absolute, Dur)]Source

sim :: Pat -> [Cluster]Source

addmult :: (Num a, Num b) => [(a, b)] -> [(a, b)] -> [(a, b)]Source

simFringe :: (Num a, Eq a) => a -> Pat -> [SNote]Source

fringe :: (Num a, Eq a) => a -> Cluster -> [SNote]Source

simToHask :: [[(Absolute, Dur)]] -> T ()Source

sim4 :: Int -> T ()Source

sim1 :: Int -> T Source

sim4s :: Int -> T Source

sim3 :: Int -> T Source

sim12 :: Int -> T Source

sim2 :: Int -> T Source

t6 :: T Source

t10 :: T Source

t9 :: T Source

t8 :: T Source

t7 :: T Source

ss :: T Source

durss :: Dur Source

pat1 :: [SNote]Source

pat4' :: [SNote]Source

pat4 :: [SNote]Source

pat3 :: [SNote]Source

pat2 :: [SNote]Source